# Version SVN: $Id: routing.yml 3963 2015-08-18 15:40:51Z sven.poeche $
# default rules
homepage:
  url:    /
  param:  { module: start, action: index }

signup:
  url:    /signup
  param:  { module: user, action: signup }

login:
  url:    /login
  param:  { module: user, action: login }

logout:
  url:    /logout
  param:  { module: user, action: logout }

password:
  url:    /password
  param:  { module: user, action: password }

language:
  url:    /language/:lang
  param:  { module: user, action: switchLanguage }

search_autocomplete:
  url:    /search/autocomplete/*
  param:  { module: search, action: autocomplete }

search:
  url:    /search/*
  class:  stSearchRoute
  param:  { module: search, action: index }

media_list:
  url:    /medias
  param:  { module: media, action: list }

media_direct_link:
  url:    /m/:hash
  param:  { module: media, action: direct }
  requirements: { hash: '[a-fA-F0-9]{128}' }

media_medium:
  url:    /getMedium/:key
  param:  { module: media, action: medium }
  requirements: { hash: '[a-fA-F0-9]{32}' }

media_medium_type:
  url:    /getMedium/:key.:type
  param:  { module: media, action: medium }
  requirements: { hash: '[a-fA-F0-9]{32}' }

media_thumbnail:
  url:    /getThumbnail/:key
  param:  { module: media, action: thumbnail }
  requirements: { hash: '[a-fA-F0-9]{32}' }

video:
  url:    /video/:title/:key
  param:  { module: media, action: view, type: video }

video_list:
  url:    /videos
  param:  { module: media, action: list, type: video }

picture:
  url:    /picture/:title/:key
  param:  { module: media, action: view, type: photo }

picture_list:
  url:    /pictures
  param:  { module: media, action: list, type: photo }

audio:
  url:    /audio/:title/:key
  param:  { module: media, action: view, type: audio }

audio_list:
  url:    /audios
  param:  { module: media, action: list, type: audio }

document:
  url:    /document/:title/:key
  param:  { module: media, action: view, type: document }

document_list:
  url:    /documents
  param:  { module: media, action: list, type: document }

rss_media:
  url:    /rss
  param:  { module: media, action: rss }

rss_media_video:
  url:    /rss/video
  param:  { module: media, action: rss, type: video }

rss_media_picture:
  url:    /rss/photo
  param:  { module: media, action: rss, type: photo }

rss_media_audio:
  url:    /rss/audio
  param:  { module: media, action: rss, type: audio }

rss_media_document:
  url:    /rss/document
  param:  { module: media, action: rss, type: document }

rss_media_channel:
  url:    /rss/channel/:id
  param:  { module: media, action: rss, mode: channel }

rss_media_group:
  url:    /rss/group/:id
  param:  { module: media, action: rss, mode: group }

rss_media_category:
  url:    /rss/category/:id
  param:  { module: media, action: rss, mode: category }

media_related:
  url:    /media/related/:key
  param:  { module: media, action: relatedMedia }

media_tag:
  url:    /media/tag/:tag
  param:  { module: media, action: tag }

tag:
  url:    /tag/:tag
  param:  { module: default, action: tag }

category:
  url:    /category/:category/:category_id
  param:  { module: category, action: show }

category_media_video:
  url:    /category/video/:title/:key/:category_id
  param:  { module: category, action: media, type: video }

category_media_picture:
  url:    /category/picture/:title/:key/:category_id
  param:  { module: category, action: media, type: photo }

category_media_audio:
  url:    /category/audio/:title/:key/:category_id
  param:  { module: category, action: media, type: audio }

category_media_document:
  url:    /category/document/:title/:key/:category_id
  param:  { module: category, action: media, type: document }

channel:
  url:    /channel/:title/:channel
  param:  { module: channels, action: show }

channel_media_video:
  url:    /channel/video/:title/:key/:channel
  param:  { module: channels, action: media, type: video }

channel_media_picture:
  url:    /channel/picture/:title/:key/:channel
  param:  { module: channels, action: media, type: photo }

channel_media_audio:
  url:    /channel/audio/:title/:key/:channel
  param:  { module: channels, action: media, type: audio }

channel_media_document:
  url:    /channel/document/:title/:key/:channel
  param:  { module: channels, action: media, type: document }

group:
  url:    /group/:title/:key
  param:  { module: group, action: view }

group_media_video:
  url:    /group/video/:title/:media/:key
  param:  { module: group, action: media, type: video }

group_media_picture:
  url:    /group/picture/:title/:media/:key
  param:  { module: group, action: media, type: photo }

group_media_audio:
  url:    /group/audio/:title/:media/:key
  param:  { module: group, action: media, type: audio }

group_media_document:
  url:    /group/document/:title/:media/:key
  param:  { module: group, action: media, type: document }

group_forum_index:
  url:    /group/:gtitle/forum/:key
  param:  { module: forum, action: index, type: group }

group_forum_view:
  url:    /group/:gtitle/forum/:title/:key
  param:  { module: forum, action: view, type: group }

group_forum_thread:
  url:    /group/:gtitle/forum/:title/:ttitle/:key/:threadid
  param:  { module: forum, action: thread, type: group }

forum_index:
  url:    /forum
  param:  { module: forum, action: index, type: general }

forum_view:
  url:    /forum/:title/:key
  param:  { module: forum, action: view, type: general }

forum_thread:
  url:    /forum/:title/:ttitle/:key/:threadid
  param:  { module: forum, action: thread, type: general }

blog:
  url:    /blog/:title/:blogid
  param:  { module: blog, action: show }

user_comment_remove:
  url:    /user/comment/remove/:uid/:pid/:sid/:auid
  param:  { module: user, action: commentRemove }

webcontent_default:
  url:   /pages/:action/*
  param: { module: webcontent }

community:
  url:    /community
  param:  { module: default, action: community }

leanbackPlayer_null:
  url:    /null
  param:  { module: default, action: empty }

#default_symfony:
#  url:    /symfony/:action/*
#  param:  { module: default }

default_index:
  url:    /:module
  param:  { action: index }

default:
  url:    /:module/:action/*
